List Speech-to-Video Sessions
curl --request GET \
--url https://api.bey.dev/v1/sessions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/sessions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"status": {
"type": "to_start"
},
"url": "wss://<your-domain>.livekit.cloud",
"transport": "livekit"
}
],
"next_cursor": "<string>",
"has_more": true
}Speech-to-Video Sessions
List Speech-to-Video Sessions
List your speech-to-video sessions.
Returns a cursor-paginated list of sessions, most recent first.
GET
/
v1
/
sessions
List Speech-to-Video Sessions
curl --request GET \
--url https://api.bey.dev/v1/sessions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/sessions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"status": {
"type": "to_start"
},
"url": "wss://<your-domain>.livekit.cloud",
"transport": "livekit"
}
],
"next_cursor": "<string>",
"has_more": true
}Authorizations
Your Beyond Presence API Key.
Query Parameters
Maximum number of objects to return.
Required range:
x <= 50Cursor for pagination.
Response
Paginated List of Speech-to-Video Sessions
- HasMorePage[SessionResponse]
- NoMorePage[SessionResponse]
List of objects.
Response body for a LiveKit speech-to-video session.
- LivekitSessionResponse
- PipecatSessionResponse
Show child attributes
Show child attributes
The cursor for the next page of objects.
Whether there are more objects to fetch.
Was this page helpful?